API referenceForums
List Posts
GET
/api/v1/servers/{guild}/forums/{forum}/postsAuthorization
session invarn_session<token>
In: cookie
Path Parameters
guild*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$forum*string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$Query Parameters
tag?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$assignee?string
A Discord ID (or one of Invarn's, which look the same).
Match
^[0-9]+$sort?string
Value in
- "new"
- "top"
cursor?string
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/servers/string/forums/string/posts"{ "posts": [ { "thread": "string", "guild": "string", "forum": "string", "author": "string", "authorName": "string", "title": "string", "tags": [ "string" ], "votes": 0, "archived": true, "assignee": "string", "assigneeName": "string", "createdAt": "2019-08-24T14:15:22Z" } ], "cursor": "string"}